#!/bin/sh

baseDir=`dirname $0`

# Change to the directory where this script is located, which should be
# the <repository root>\dists\<product> directory
cd $baseDir

# List all sub-directories in the current directory.  They should all
# be <package groups> (e.g. platform, HDXCtrl)
list=`ls`
rm -f info.txt
for entry in $list ; do
	if [ -d $entry ]; then
		echo $entry >> info.txt
	fi
done

echo Generated info.txt with content: `cat info.txt`

